services:
  frontend-dev:
    image: node:20-alpine
    working_dir: /app/frontend
    volumes:
      - ./frontend:/app/frontend
      - /app/frontend/node_modules
    ports:
      - "5173:5173"
      - "24678:24678"
    command: sh -c "npm install && npm run dev -- --host 0.0.0.0 --port 5173"

  frontend-prod:
    build:
      context: .
      dockerfile: Dockerfile
    ports:
      - "8080:80"
